package org.apache.ojb.odmg;

/* Copyright 2002-2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * represents an entry to the named roots table.
 * maps names (Strings) to OJB Identities
 * Creation date: (26.01.2001 19:57:51)
 * @author Thomas Mahler
 */
public class NamedRootsEntry implements java.io.Serializable
{
	static final long serialVersionUID = 6179717896336300342L;
    /**
     * the name under which an object is registered in the NamedRoots Map
     */
    private String name;

    /**
     * the serialized Identity representing the named Object
     */
    private byte[] oid;


    /**
     *
     * NamedRootsEntry constructor comment.
     *
     */
    public NamedRootsEntry(String aName, byte[] serializedOID)
    {
        this.name = aName;
        this.oid = serializedOID;
    }

    /**
     *
     * NamedRootsEntry constructor comment.
     *
     */
    public NamedRootsEntry()
    {
    }


    /**
     *
     * Insert the method's description here.
     *
     * Creation date: (26.01.2001 20:00:54)
     *
     * @return java.lang.String
     *
     */
    public java.lang.String getName()
    {
        return name;
    }

    /**
     *
     * Insert the method's description here.
     *
     * Creation date: (26.01.2001 20:00:54)
     *
     * @return org.apache.ojb.broker.Identity
     *
     */
    public byte[] getOid()
    {
        return oid;
    }

    /**
     * Sets the name.
     * @param name The name to set
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     * Sets the oid.
     * @param oid The oid to set
     */
    public void setOid(byte[] oid)
    {
        this.oid = oid;
    }

}
